Menu deletion doesn't work with sub_menu

06/06/2014 11:36 AM - Scott Seago

Status: Closed   

Priority: Normal   

Assignee: Scott Seago   

Category: Web Interface   

Target version: 1.5.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1105566 Red Hat JIRA:  

Pull request:    

Description

Menu::Mapper.delete doesn't currently work for sub_menu items. I can remove items from :user_menu since that one doesn't use

sub_menu, but when I try to remove menu items for nested entries in :top_menu in a plugin initializer, the menu item is not removed.

I have a fix which addresses this by modifying the .delete method. Instead of using find/delete on the top level node (which doesn't

traverse children), the fix calls .each on the root node, which does traverse. I'm not sure if this fits with foreman coding/style

guidelines, so if there's a better fix, feel free to replace my patch/PR with something different. This will need to be backported to

1.5-stable as well.

Proposed fix is at: https://github.com/theforeman/foreman/pull/1499

Associated revisions

Revision cd3baa12 - 06/09/2014 07:02 PM - Scott Seago

fixes #6091 - menu removal wasn't traversing menu hierarchy

Revision cfca4688 - 06/11/2014 01:02 PM - Scott Seago

fixes #6091 - menu removal wasn't traversing menu hierarchy

(cherry picked from commit cd3baa125283acf1d52daa2a51c8c2c1beb93397)

History

#1 - 06/06/2014 11:50 AM - Dominic Cleal

- Category set to Web Interface

- Status changed from New to Ready For Testing

- Assignee set to Scott Seago

- Target version set to 1.8.2

#2 - 06/06/2014 11:52 AM - Dominic Cleal

- translation missing: en.field_release set to 16

Or 1.5.2, depending on schedule etc.

#3 - 06/06/2014 12:15 PM - Dominic Cleal

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1105566

#4 - 06/09/2014 07:31 PM - Scott Seago

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset cd3baa125283acf1d52daa2a51c8c2c1beb93397.
